summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames An2015-04-30 01:49:19 -0400
committerJames An2015-04-30 01:49:19 -0400
commit0cf1112b16e568fcbdb63f5abd05ba524809b5c8 (patch)
tree106756c8bb2fff4893063e313b623af8f3b58416
parent834ceb08c929bd49f802c74113341fefd3eab52b (diff)
downloadaur-0cf1112b16e568fcbdb63f5abd05ba524809b5c8.tar.gz
Updated autorandr-git to current commit and tightened its PKGBUILD to more accurately reflect upstream software.
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD65
2 files changed, 50 insertions, 34 deletions
diff --git a/.SRCINFO b/.SRCINFO
index d520fcd40c0..d8cb4a5b7b8 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,17 +1,20 @@
pkgbase = autorandr-git
- pkgdesc = Auto-detect the connect display hardware and load the appropiate X11 setup using xrandr or disper. Formerly autodisper.
- pkgver = r123.664d140
- pkgrel = 2
+ pkgdesc = Auto-detect the connect display hardware and load the appropiate X11 setup using xrandr. Formerly autodisper. No disper support.
+ pkgver = r170.ed599bc
+ pkgrel = 1
url = https://github.com/phillipberndt/autorandr
install = autorandr-git.install
- arch = i686
- arch = x86_64
- license = GPL
+ arch = any
+ license = GPL3
makedepends = git
- optdepends = disper
- optdepends = pm-utils
+ depends = python
+ depends = xorg-xrandr
+ optdepends = pm-utils: For changing autorandr profile on thaw/resume
+ optdepends = python2: For using autorandr_monitor
+ optdepends = xorg-xdpyinfo: For detecting the primary XRandR output
provides = autorandr
conflicts = autorandr
+ conflicts = auto-disper-git
conflicts = autorandr-asch-git
conflicts = autorandr-phillipberndt-git
source = autorandr::git+https://github.com/phillipberndt/autorandr.git
diff --git a/PKGBUILD b/PKGBUILD
index 822ce0f05b6..7750946d9cb 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,47 +1,60 @@
# Maintainer: James An <james@jamesan.ca>
+# Contributor: Helge Willum Larsen <helgesdk@gmail.com>
# Contributor: Ng Oon-Ee <ngoonee.talk@gmail.com>
# Contributor: Byron Clark <byron@theclarkfamily.name> (auto-disper-git)
# Contributor: phillipberndt (maintainer of the current autorandr)
# Contributor: wertarbyte (original author of auto-disper and autorandr)
_pkgname=autorandr
-pkgname="$_pkgname-git"
-pkgver=r123.664d140
-pkgrel=2
-pkgdesc="Auto-detect the connect display hardware and load the appropiate X11 setup using xrandr or disper. Formerly autodisper."
-arch=('i686' 'x86_64')
-url="https://github.com/phillipberndt/$_pkgname"
-license=('GPL')
-depends=()
+pkgname=autorandr-git
+pkgver=r170.ed599bc
+pkgrel=1
+pkgdesc='Auto-detect the connect display hardware and load the appropiate X11 setup using xrandr. Formerly autodisper. No disper support.'
+arch=('any')
+url="https://github.com/phillipberndt/autorandr"
+license=('GPL3')
+depends=('python' 'xorg-xrandr')
makedepends=('git')
-optdepends=('disper' 'pm-utils')
-provides=("$_pkgname")
+optdepends=(
+ 'pm-utils: For changing autorandr profile on thaw/resume'
+ 'python2: For using autorandr_monitor'
+ 'xorg-xdpyinfo: For detecting the primary XRandR output'
+)
+provides=('autorandr')
conflicts=(
- "$_pkgname"
- 'autorandr-asch-git'
- 'autorandr-phillipberndt-git'
+ 'autorandr'
+ 'auto-disper-git'
+ 'autorandr-asch-git'
+ 'autorandr-phillipberndt-git'
)
install="$pkgname.install"
source=(
- "$_pkgname"::"git+https://github.com/phillipberndt/$_pkgname.git"
- "$pkgname.install"
+ "$_pkgname"::"git+https://github.com/phillipberndt/$_pkgname.git"
+ "$pkgname.install"
)
md5sums=(
- 'SKIP'
- 'bedb41a350cdf6983872119aef71fed6'
+ 'SKIP'
+ 'bedb41a350cdf6983872119aef71fed6'
)
pkgver() {
- cd "$_pkgname"
- (
- set -o pipefail
- git describe --long --tag | sed -r 's/([^-]*-g)/r\1/;s/-/./g' ||
- printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
- ) 2>/dev/null
+ cd "$_pkgname"
+ (
+ set -o pipefail
+ git describe --long --tag | sed -r 's/([^-]*-g)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ ) 2>/dev/null
+}
+
+prepare() {
+ cd "$_pkgname"
+ sed --in-place --regexp-extended 's@(#!/usr/bin/env python)@\12@' contrib/autorandr_monitor/autorandr_monitor
}
package() {
- cd "$_pkgname"
- make DESTDIR="$pkgdir/" INSTALL_PATH=/usr/bin install >/dev/null
- make DESTDIR="$pkgdir/" hotplug >/dev/null
+ cd "$_pkgname"
+ make DESTDIR="$pkgdir" INSTALL_PATH=/usr/bin install >/dev/null
+ make DESTDIR="$pkgdir" hotplug >/dev/null
+
+ install -Dm755 contrib/autorandr_monitor/autorandr_monitor "$pkgdir/usr/bin/autorandr_monitor"
}